=== src/CMakeLists.txt ===
# SPDX-License-Identifier: MIT
add_subdirectory(cmocka_extensions)
