=== examples/src/CMakeLists.txt ===
# SPDX-License-Identifier: MIT
include(weak_library.cmake)

add_subdirectory(self_referencing)
add_subdirectory(extref_library)
add_subdirectory(extref_dependency)
