=== examples/test/utest/CMakeLists.txt ===
# SPDX-License-Identifier: MIT
include(unit_test.cmake)

add_subdirectory(mocks)
add_subdirectory(selfref)
add_subdirectory(extref)
