=== examples/test/utest/extref/CMakeLists.txt ===
# SPDX-License-Identifier: MIT
add_subdirectory(weak)
add_subdirectory(wrap)
