=== examples/test/utest/mocks/CMakeLists.txt ===
# SPDX-License-Identifier: MIT
include(create_mock_lib.cmake)

add_subdirectory(extref_dependency)
add_subdirectory(selfref)
