=== debian/changelog ===
cmocka-extensions (0.50.0-0ubuntu1) oracular; urgency=medium

  * First upload to Ubuntu. Note that this package has a packaging
    history with upstream using Debian revisions, and in PPAs sometimes
    using Ubuntu revisions, in preparation of this upload. Since there
    is no ambition to distribute debs from upstream or even in Debian in
    the short-term, I'm resetting to the most logical first Ubuntu
    revision for that upstream release. I'm preserving past PPA and
    upstream revisions in the changelog for clarity of what this is
    based on.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 27 Jun 2024 13:07:50 +0000

cmocka-extensions (0.50.0-7ubuntu2~ppa0) oracular; urgency=medium

  * Add lintian override justification.
  * Reference upstream issue for git dependency.
  * Build documentation package only for indep.

 -- Alexandre Esse <alexandre.esse@canonical.com>  Mon, 24 Jun 2024 16:29:50 +0200

cmocka-extensions (0.50.0-7ubuntu1) oracular; urgency=medium

  * Initial release (LP: #2069860).
  * Update maintainer to Ubuntu Developers.
  * Remove control vcs fields as they might be unvalid once into Ubuntu.
  * Set cmocka-extensions-doc section to doc.
    To fix lintian wrong-section-according-to-package-name info message.
  * Set cmocka-extensions section to devel.
    To be consistent with cmocka package section.
  * Use debian/clean path list to be deleted.
  * Set documentation build dependencies as Build-Depends-Indep.
  * Develop the packages descriptions to advertise for packages features.

 -- Alexandre Esse <alexandre.esse@canonical.com>  Thu, 20 Jun 2024 08:42:15 +0200

cmocka-extensions (0.50.0-7) unstable; urgency=medium

  * Add cmocka-extensions-doc.lintian-overrides to override a
    zero-byte-file-in-doc-directory warning.

 -- Isaac True <isaac.true@emlix.com>  Mon, 13 May 2024 16:27:10 +0200

cmocka-extensions (0.50.0-6) unstable; urgency=medium

  * Clean up generated documentation before building.
  * Do not ship platuml source files.

 -- Isaac True <isaac.true@emlix.com>  Wed, 08 May 2024 14:57:27 +0200

cmocka-extensions (0.50.0-5) unstable; urgency=medium

  * Build docs before packaging.
  * Do not compress markdown files.
  * Remove unnecessary shlibs dependencies.
  * Add the following build dependencies:
     - pandoc
     - pandoc-plantuml-filter
     - graphviz

 -- Isaac True <isaac.true@emlix.com>  Wed, 08 May 2024 12:11:33 +0200

cmocka-extensions (0.50.0-4) unstable; urgency=medium

  * Update gbp.conf with the new branch names.

 -- Isaac True <isaac.true@emlix.com>  Tue, 07 May 2024 15:42:18 +0200

cmocka-extensions (0.50.0-3) unstable; urgency=medium

  * Add libcmocka-dev to cmocka-extensions-dev dependencies.

 -- Isaac True <isaac.true@emlix.com>  Tue, 07 May 2024 14:40:09 +0200

cmocka-extensions (0.50.0-2) unstable; urgency=medium

  * Add gbp.conf

 -- Isaac True <isaac.true@emlix.com>  Tue, 07 May 2024 12:04:01 +0200

cmocka-extensions (0.50.0-1) unstable; urgency=medium

  * Initial release.

 -- Isaac True <isaac.true@emlix.com>  Tue, 07 May 2024 11:25:20 +0200
