=== debian/control ===
Source: cmocka-extensions
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Isaac True <isaac.true@emlix.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libcmocka-dev,
# related issue: https://github.com/Elektrobit/cmocka_extensions/issues/5
 git,
Build-Depends-Indep:
 pandoc,
 pandoc-plantuml-filter,
 graphviz,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/Elektrobit/cmocka_extensions

Package: cmocka-extensions-dev
Architecture: any
Depends:
 ${misc:Depends},
 libcmocka-dev,
Description: Collection of mocking related code extensions for cmocka
 Mocking related code extensions for cmocka used by elos and other projects.
 .
 This package extends basic cmocka features and intoduces:
  - weak mocking
  - wrap mocking
  - and some definitions to make creating and running the unit tests a bit
    easier that the basic cmocka

Package: cmocka-extensions-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: Documentation for mocking related code extensions for cmocka
 Mocking related code extensions for cmocka used by elos and other projects.
 .
 This package extends basic cmocka features and intoduces:
  - weak mocking
  - wrap mocking
  - and some definitions to make creating and running the unit tests a bit
    easier that the basic cmocka
 .
 This is the associated documentation package.
