=== debian/watch ===
version=4
https://github.com/Elektrobit/cmocka_extensions/tags .*/cmocka_extensions-(\d+).(\d+).(\d+).tar.gz
